#!/bin/bash
set -ex

# see man flock "EXAMPLES"
[ "${FLOCKER}" != "$0" ] && exec env FLOCKER="$0" flock -enF "$0" "$0" "$@" || :

DIR_BUFR="{{ obs_from_metno_datadir }}"

mkdir -p "$DIR_BUFR"
rsync -avz -e "ssh -i {{ devcoopmetno_sshkey_path }}" "{{ devcoopmetno_user }}@{{ devcoopmetno_host }}:bufr/" "$DIR_BUFR/"

# Clean up old data, remove *.bufr files with modification times older than 2 months
find "$DIR_BUFR" -name '*.bufr' -mtime "+62" -exec /bin/rm '{}' \;
